#
# spec file for package bootparamd (Version 0.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -nkita -nkitb -nkitserv
# usedforbuild    -nkita -nkitb -nkitserv aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         bootparamd
Copyright:    BSD
Group:        Networking/Daemons
Autoreqprov:  on
Version:      0.17
Release:      102
Summary:      Server which provides boot information to diskless client
BuildRoot:    %{_tmppath}/bootparamd-root
Source:  netkit-bootparamd-%{version}.tar.bz2
Patch:  netkit-bootparamd-%{version}.dif

%description
This package contains a server process which provides the information
needed by diskless clients in order for them to successfully boot.
Bootparamd looks first in /etc/bootparams for an entry for that particular
client; if a local bootparams file doesn't exist, it looks at the
appropriate Network Information Service (NIS) map.  Some network boot
loaders (notably Sun's) rely on special boot server code on the server, in
addition to the RARP and TFTP servers. This bootparamd server process is
compatible with SunOS bootparam clients and servers which need that boot
server code.

SuSE series: n

%prep
%setup -n netkit-bootparamd-%{version}
%patch

%build
env CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/bin
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
make install INSTALLROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/callbootd
/usr/sbin/rpc.bootparamd
%doc %{_mandir}/man8/bootparamd.8.gz
%doc %{_mandir}/man8/rpc.bootparamd.8.gz

%changelog -n bootparamd
* Tue Feb 13 2001 - kukuk@suse.de
- initial release, split from nkitb
